Plesk\backup\Agent\Schema\Backup\ServiceNode\ServiceNodeAType:
    properties:
        osType:
            expose: true
            access_type: public_method
            serialized_name: os-type
            accessor:
                getter: getOsType
                setter: setOsType
            xml_attribute: true
            type: string
        local:
            expose: true
            access_type: public_method
            serialized_name: local
            accessor:
                getter: getLocal
                setter: setLocal
            xml_attribute: true
            type: string
        ipAddress:
            expose: true
            access_type: public_method
            serialized_name: ip-address
            accessor:
                getter: getIpAddress
                setter: setIpAddress
            xml_attribute: true
            type: string
        ipPool:
            expose: true
            access_type: public_method
            serialized_name: ip_pool
            xml_element:
                cdata: false
            accessor:
                getter: getIpPool
                setter: setIpPool
            type: array<Plesk\backup\Agent\Schema\Backup\Ip>
            xml_list:
                inline: false
                entry_name: ip
                skip_when_empty: true
        usedScripting:
            expose: true
            access_type: public_method
            serialized_name: used-scripting
            xml_element:
                cdata: false
            accessor:
                getter: getUsedScripting
                setter: setUsedScripting
            type: Plesk\backup\Agent\Schema\Backup\ServiceNode\ServiceNodeAType\UsedScriptingAType
